DoccatEvaluationErrorListener (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.doccat

## Class DoccatEvaluationErrorListener

- java.lang.Object
- - opennlp.tools.cmdline.EvaluationErrorPrinter<DocumentSample>
  - - opennlp.tools.cmdline.doccat.DoccatEvaluationErrorListener

- All Implemented Interfaces:
    DoccatEvaluationMonitor, EvaluationMonitor<DocumentSample>

      public class DoccatEvaluationErrorListener
      extends opennlp.tools.cmdline.EvaluationErrorPrinter<DocumentSample>
      implements DoccatEvaluationMonitor

  A default implementation of `EvaluationMonitor` that prints to an output stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoccatEvaluationErrorListener()` Creates a listener that will print to System.err
    `DoccatEvaluationErrorListener(OutputStream outputStream)` Creates a listener that will print to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `missclassified(DocumentSample reference, DocumentSample prediction)`

    - ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

      `correctlyClassified`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

      `correctlyClassified`

- - ### Constructor Detail

    - #### DoccatEvaluationErrorListener

          public DoccatEvaluationErrorListener()

      Creates a listener that will print to System.err

    - #### DoccatEvaluationErrorListener

          public DoccatEvaluationErrorListener(OutputStream outputStream)

      Creates a listener that will print to a given `OutputStream`

  - ### Method Detail

    - #### missclassified

          public void missclassified(DocumentSample reference,
                                     DocumentSample prediction)

      Specified by:
        `missclassified` in interface `EvaluationMonitor<DocumentSample>`
      Specified by:
        `missclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<DocumentSample>`

Copyright © 2026 The Apache Software Foundation. All rights reserved.